Bug 983377 - Comment input field not cleared when comment added to a task
Comment input field not cleared when comment added to a task
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER2
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 01:57 EDT by Jan Hrcek
Modified: 2014-08-06 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment not erased (65.70 KB, image/png)
2013-07-11 01:57 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-11 01:57:10 EDT
Created attachment 772024 [details]
Comment not erased

Description of problem:
When adding comment for a task in Tasks List, the input area for comment is not erased after comment is added using Add Comment button (see screenshot attached).

Version-Release number of selected component (if applicable):
6.0.0. Beta5

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Tasks > Tasks List
2. Add a task using New Task
3. Using Details (magnifying glass icon) navigate to Comments modal.
4. Fill in some Comment in the input text area
5. Press Add Comment button

Actual results:
The comment is added, but the comment also remains in the input text area. If user wants to add next comment, he has to manually delete the previous comment in the text aread.

Expected results:
The comment should be added + also deleted in the comment input text area, so that it is ready in case user wants to add new comments.

Additional info:
Comment 1 Jan Hrcek 2013-07-11 02:44:33 EDT
Proposed simple fix - see pull request https://github.com/droolsjbpm/jbpm-console-ng/pull/35)
Comment 2 Mauricio Salatino 2013-07-17 04:47:37 EDT
This is already fixed in master: 
https://github.com/droolsjbpm/jbpm-console-ng/commit/43d04779851c0755b13e8e313623d3d155f20c84

Thanks for the pull request.. it was my mistake to not include the BZ number in the commit yesterday
Comment 3 Jan Hrcek 2013-09-04 02:59:48 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.